Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Avidemux deb-bestanden compileren (xub16)  (gelezen 177 keer)

Offline blokkendoos

  • Lid
  • Steunpunt: Nee
Avidemux deb-bestanden compileren (xub16)
« Gepost op: 2016/06/24, 10:55:27 »
Beste forumleden,

Ik mis de simpele Avidemux in mijn Xubuntu 16.04 nogal.
En vond een aantal aanwijzingen over hoe te werk te gaan om het zelf te compileren:
http://avidemux.org/admWiki/doku.php?id=build:install_2.6#requirement_list_debian_ubuntu
Dat vereiste aandachtige lezing. Maar na het aanbrengen van de noodzakelijke omgeving kreeg ik - na lang wachten - 7 deb-pakketjes.
Omdat ik ook getroffen ben door een niet werkende 'gnome-software' heb ik de debs met sudo dpkg -i *.deb geïnstalleerd.

Maar nergens lijkt ook maar iets te luisteren naar de naam avidemux, terwijl Synaptic ze keurig als geïnstalleerd toont.

Ik begrijp uit de discussie
https://forum.ubuntu-nl.org/index.php?topic=97060.msg982395#msg982395 dat de daar gevonden oplossing toch ook minder vlekkeloos werkt dan verwacht en ben dus vooral op zoek naar het waarom mijn zelfgecompileerde bestanden feitelijk 'onzichtbaar' zijn en dus niet werken

Kan dit beter?

pablo k

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Avidemux deb-bestanden compileren (xub16)
« Reactie #1 Gepost op: 2016/06/24, 11:12:52 »
Het kan inderdaad beter. Download het .deb pakket https://deb-multimedia.org/pool/main/a/avidemux-dmo/avidemux_2.6.12-dmo1_amd64.deb en installeer met gdebi (GUI) of dpkg (CLI).

Offline blokkendoos

  • Lid
  • Steunpunt: Nee
Re: Avidemux deb-bestanden compileren (xub16)
« Reactie #2 Gepost op: 2016/06/24, 12:03:10 »
Nero, Je oplossing vereist nog een afhankelijkheid waar ik geen raad meet weet.
Unpacking avidemux (1:2.6.12-dmo1) ...
dpkg: dependency problems prevent configuration of avidemux:
 avidemux depends on avidemux-qt; however:
  Package avidemux-qt is not installed.

dpkg: error processing package avidemux (--install):
 dependency problems - leaving unconfigured
Processing triggers for man-db (2.7.5-1) ...
Errors were encountered while processing:
 avidemux
peter@digdesk16:~/Downloads$ sudo apt-get install avidemux-qt
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package avidemux-qt is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'avidemux-qt' has no installation candidate

Tips?



Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: Avidemux deb-bestanden compileren (xub16)
« Reactie #4 Gepost op: 2016/06/24, 13:26:13 »
Anders eens proberen via een niet officiële ppa: http://linuxg.net/install-avidemux-on-ubuntu/

Offline blokkendoos

  • Lid
  • Steunpunt: Nee
Re: Avidemux deb-bestanden compileren (xub16)
« Reactie #5 Gepost op: 2016/06/24, 15:26:20 »
Helaas.

Met de aanvullingen van Nero blijven de dependencies me om de oren vliegen.

Ook met de ppa voorgesteld door vanadium heb ik veel problemen:
 libavidemux2.6-unstable-qt4-6 : Conflicts: libavidemux2.6-qt4-6 but 1:2.6.12-2~ppa+xenial7 is to be installed
 libavidemux2.6-unstable-qt4-dev : Conflicts: libavidemux2.6-qt4-dev but 1:2.6.12-2~ppa+xenial7 is to be installed
 libavidemux2.6-unstable-qt5-6 : Conflicts: libavidemux2.6-qt5-6 but 1:2.6.12-2~ppa+xenial7 is to be installed
 libavidemux2.6-unstable-qt5-dev : Conflicts: libavidemux2.6-qt5-dev
                                   Conflicts: libavidemux2.6-qt5-dev:i386
E: Unable to correct problems, you have held broken packages.
is maar een kleine greep uit de meldingen.

Vooraf had ik in Synaptic alles dat verwees naar avidemux 'marked for removal' en uitgevoerd. Misschien had ik 'Mark for Complete Removal' moeten kiezen?







Offline vanadium

  • Lid
  • Steunpunt: Nee
Re: Avidemux deb-bestanden compileren (xub16)
« Reactie #6 Gepost op: 2016/06/24, 15:37:16 »
Jammer. De blogpost gaf de indruk dat de PPA geschikt was voor 16.04. Best ppa-purge installeren en je ppa hiermee terug verwijderen.

Offline Nero

  • Lid
  • Steunpunt: Ja
Re: Avidemux deb-bestanden compileren (xub16)
« Reactie #7 Gepost op: 2016/06/24, 16:56:36 »
Voeg eens deb http://www.deb-multimedia.org stable main non-free toe aan de /etc/apt/sources.list. Daarna sudo apt update
sudo apt install avidemux